API ReferenceapilivePOST /webhooks/stream

POST /webhooks/stream

Service: live · operationId: (none)

Receive GetStream Video lifecycle webhooks (call.session_started, call.session_ended, call.recording_ready)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {}
}

Responses

200 Webhook accepted

{
  "type": "object",
  "properties": {
    "received": {
      "type": "boolean",
      "enum": [
        true
      ]
    }
  },
  "required": [
    "received"
  ]
}

401 Invalid signature

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://live.platform.loop.health/webhooks/stream \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'